using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionVault.Util.Pad
{
    public class PadFactory
    {
        private const string Left = "LEFT";
        private const string Right = "RIGHT";

        public static IPad construct(string type)
        {
            switch (type.ToUpper())
            {
                case Left: return new PadLeft();
                case Right: return new PadRight();
                default: return null;
            }
        }
    }
}